#plane of fire fight 1
from eventAPI import *
from APIUtils import *

rtpofireFlag1=0

def fireEvent(e):
   global rtpofireFlag1
   rtpofireFlag1 = getTag(e, "rtpofireFlag1")
   if (rtpofireFlag1 == 1):
      return 1
   else:
      fightThem(e)

def fightThem(e):
   combatRet = combat(e, [("Servant of Fire", 8, 3, 20)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtpofireFlag1
   rtpofireFlag1 = 1
   setTag(e, "rtpofireFlag1", rtpofireFlag1)
